Wednesday, 2 May 2018

Jolie 1.6.3 released

Jolie 1.6.3 has been released! Go get it from our download page.

Changelog (from Jolie 1.6.2)
  • Using operations in courier processes that are not declared in the input port that the courier refers to is now detected statically, not at runtime.
  • Stability improvements to the HTTP and SSL protocols.
  • Fixed a race condition in the correlation engine of the interpreter.
  • Fixed the namespace of HTTP bindings in WSDL files produced with jolie2wsdl.
  • Prettier output for type documentation in joliedoc.

1 comment:

  1. Dear Fabrizio, i was trying to install jolie on my docker container using the following operations:
    RUN cd / && \
    git clone https://github.com/jolie/jolie.git && \
    cd jolie && \
    ant && ant install
    But it fails with the following error:
    [mkdir] Created dir: /jolie-git/lib/xsom/build/empty
    [javac] Compiling 149 source files to /jolie-git/lib/xsom/build/classes
    [javac] warning: [options] bootstrap class path not set in conjunction with -source 5
    [javac] error: Source option 5 is no longer supported. Use 6 or later.
    [javac] error: Target option 1.5 is no longer supported. Use 1.6 or later.

    BUILD FAILED
    /jolie-git/build.xml:220: The following error occurred while executing this line:
    /jolie-git/lib/xsom/nbproject/build-impl.xml:917: The following error occurred while executing this line:
    /jolie-git/lib/xsom/nbproject/build-impl.xml:307: Compile failed; see the compiler error output for details.

    Could you give me any suggestion why it could fail?
    Thanks a lot in advance,
    Liudmila

    ReplyDelete